<?php

/**
 * 
 *
 */

class Form_Gallery extends Form_GuideFormBase
{

	private $galleries;


	public function __construct(IComponentContainer $parent = null, $name = null)
	{
		parent::__construct($parent, $name);
		$this->galleries = new Galleries();
	}


	public function initImageFormBase()
	{
		$renderer = $this->getRenderer();
		$renderer->wrappers['controls']['container'] = Html::el('table',array('id'=>'imageFieldContainer'));

		for ($i=1;$i<=5;$i++) {
			$this->addFile("image$i", "Obrázek $i:")->setOption('class', 'imageField');
			if ($i==5) {
				$this["image$i"]->setOption('class', 'imageField lastField');
			}
		}

		$this->addSubmit('upload','Přidat obrázky');
	}


	public function initAddImageForm()
	{

		$this->checkInitialization();

		$this->initImageFormBase();

		$this->addGuideSubmit();

		$this->onSubmit[] = array($this,'addImageFormSubmitted');

		$this->initialized = true;

		return $this;
	}


	public function initUpdateImageForm()
	{

		$this->checkInitialization();

		$this->initImageFormBase();

		$this->onSubmit[] = array($this, 'updateImageFormSubmitted');

		$this->initialized = true;

		return $this;
	}
	

	public function addImageFormSubmitted(AppForm $form)
	{
		// zpracování
		if ($form['upload']->isSubmittedBy()) {

			try {
				$this->galleries->uploadImages($this->pageId, $form->getValues());
				$this->presenter->redirect('this');
			} catch (ApplicationException $e) {
				$this->addError($e->getMessage());
			}

		} else {
			$this->goToNextStep(array('step' => (int) $this->currentStep + 1));
		}
	}


	public function updateImageFormSubmitted(AppForm $form)
	{
		try {
			$this->galleries->uploadImages($this->pageId, $form->getValues());
			$this->presenter->redirect('this');
		} catch (ApplicationException $e) {
			$this->addError($e->getMessage());
		}
	}


}