<?php

/**
 * 
 *
 */

class Form_GuideFormBase extends AppForm
{
    
	public $stepsCount;

	public $currentStep;

	public $pageId;

	protected $initialized = false;


	public function render()
	{
		if (!$this->initialized) {
			throw new ApplicationException('Formulář '.get_class().' nebyl správně inicializován.');
		}

		// nelze zavolat parent::render() -> kvůli argumentům to bohužel nefunguje
		$args = func_get_args();
		array_unshift($args, $this);
		$s = call_user_func_array(array($this->getRenderer(), 'render'), $args);

		if (strcmp($this->encoding, 'UTF-8')) {
			echo mb_convert_encoding($s, 'HTML-ENTITIES', 'UTF-8');
		} else {
			echo $s;
		}
	}


	protected function checkInitialization()
	{
		if ($this->initialized) {
			throw new ApplicationException('Instance formuláře '.get_class().' byla již inicializována a nelze ji inicializovat znovu.');
		}
	}


	private function updateCurrentStep()
	{
		$pageBasement = new PageBasement();
		$pageBasement->updateCurrentStep($this->pageId, $this->currentStep);
	}


	protected function addGuideSubmit()
	{
		if ($this->currentStep == $this->stepsCount) {
			$this->addSubmit('send', 'Dokončit');
		} else {
			$this->addSubmit('send', 'Pokračovat ke kroku '.($this->currentStep + 1).'/'.$this->stepsCount);
		}
		return $this['send'];
	}


	protected function goToNextStep(Array $args)
	{
		if ($this->currentStep == $this->stepsCount) {
			$this->presenter->pageSuccessfullyCreated($this->pageId);
		} else {
			$this->updateCurrentStep();
			$this->presenter->redirect('this', $args);
		}
	}

}