<?php

/**
 * 
 *
 */

class Form_PrivateContents extends  Form_GuideFormBase
{

	const CONTENT_FORM_PREFIX = 'privateContent_';

	private $privateContents;

	public $fckeditors = array();


	public function __construct(IComponentContainer $parent = null, $name = null)
	{
		parent::__construct($parent, $name);
		$this->privateContents = new PrivateContents();
	}


	public function initCreateForm()
	{
		$this->checkInitialization();

		$contents = $this->privateContents->getPrivateContentsWithMeta($this->pageId);

		$this->fckeditors = array();

		foreach ($contents as $content) {
			$this->addTextArea(self::CONTENT_FORM_PREFIX.$content['id'], Html::el('span class="privateContentLabel"')->setHtml("<strong>$content[name]</strong>$content[description]"), 50, 8);
			$this->fckeditors[self::CONTENT_FORM_PREFIX.$content['id']] = $this[self::CONTENT_FORM_PREFIX.$content['id']]->getHtmlId();
		}

		$this->addGuideSubmit();

		$this->onSubmit[] = array($this, 'createFormSubmitted');

		$this->initialized = true;
	}


	public function createFormSubmitted(AppForm $form)
	{
		// zpracování
		$values = $form->getValues();

		foreach ($values as $key => $value) {
			if (String::startsWith($key, self::CONTENT_FORM_PREFIX)) {
				$id = (int) substr($key, 15);
				$this->privateContents->updatePrivateContent($id, $value);
			}
		}

		$this->goToNextStep(array('step' => (int) $this->currentStep + 1));
	}


	public function initUpdateForm($initDefaultValues)
	{
		$this->checkInitialization();

		$contents = $this->privateContents->getPrivateContentsWithMeta($this->pageId);

		$this->fckeditors = array();

		foreach ($contents as $content) {
			$this->addTextArea(self::CONTENT_FORM_PREFIX.$content['id'], Html::el('span class="privateContentLabel"')->setHtml("<strong>$content[name]</strong>$content[description]"), 50, 8);
			if ($initDefaultValues === true) {
				$this[self::CONTENT_FORM_PREFIX.$content['id']]->setDefaultValue($content['content']);
			}
			$this->fckeditors[self::CONTENT_FORM_PREFIX.$content['id']] = $this[self::CONTENT_FORM_PREFIX.$content['id']]->getHtmlId();
		}

		$this->addSubmit('send', 'Uložit');

		$this->onSubmit[] = array($this, 'updateFormSubmitted');

		$this->initialized = true;
	}


	public function updateFormSubmitted(AppForm $form)
	{
		// zpracování
		$values = $form->getValues();

		foreach ($values as $key => $value) {
			if (String::startsWith($key, self::CONTENT_FORM_PREFIX)) {
				$id = (int) substr($key, 15);
				$this->privateContents->updatePrivateContent($id, $value);
			}
		}

		$this->presenter->pageSuccessfullyUpdated();
	}

}