<?php

/**
 * 
 *
 */

class Form_SharedContents extends Form_GuideFormBase
{

	const CONTENT_FORM_PREFIX = 'sharedContent_';

	private $sharedContents;

	public $nothingToShare = false;

	public $shares = array();

	public function __construct(IComponentContainer $parent = null, $name = null)
	{
		parent::__construct($parent, $name);
		$this->sharedContents = new SharedContents();
	}


	public function initCreateForm()
	{
		$this->checkInitialization();

		$shareableContents = $this->sharedContents->getPageShareableContentsOverview($this->pageId);

		if (empty($shareableContents)) {
			$this->nothingToShare = true;
		} else {

			foreach ($shareableContents as $content) {
				$this->addCheckbox(self::CONTENT_FORM_PREFIX.$content['id'], Html::el('span class="sharedContentLabel"')->setHtml("<strong>$content[name]</strong><br />$content[description]"));
				$this->shares[] = self::CONTENT_FORM_PREFIX.$content['id'];
			}

		}

		$this->addGuideSubmit();

		$this->onSubmit[] = array($this, 'createFormSubmitted');

		$this->initialized = true;
	}


	public function createFormSubmitted(AppForm $form)
	{
		$values = $form->getValues();

		$shares = array();
		foreach ($values as $key => $value) {
			if (String::startsWith($key, self::CONTENT_FORM_PREFIX) and $value === true) {
				$shares[] = (int) substr($key, 14);
			}
		}

		$this->sharedContents->definePageContentsShares($this->pageId, $shares);

		$this->goToNextStep(array('step' => (int) $this->currentStep + 1));
	}


	public function initUpdateForm()
	{

		$this->checkInitialization();

		$shareableContents = $this->sharedContents->getPageShareableContentsOverview($this->pageId);

		if (empty($shareableContents)) {
			$this->nothingToShare = true;
		} else {
			foreach ($shareableContents as $content) {
				$this->addCheckbox(self::CONTENT_FORM_PREFIX.$content['id'], Html::el('span class="sharedContentLabel"')->setHtml("<strong>$content[name]</strong><br />$content[description]"));
				$this->shares[] = self::CONTENT_FORM_PREFIX.$content['id'];
			}
		}

		$this->addSubmit('send', 'Uložit');

		$this->onSubmit[] = array($this, 'updateFormSubmitted');

		$this->initialized = true;
		
	}


	public function updateFormSubmitted(AppForm $form)
	{
		$values = $form->getValues();

		$shares = array();
		foreach ($values as $key => $value) {
			if (String::startsWith($key, self::CONTENT_FORM_PREFIX) and $value === true) {
				$shares[] = (int) substr($key, 14);
			}
		}

		$this->sharedContents->definePageContentsShares($this->pageId, $shares);

		$this->presenter->pageSuccessfullyUpdated();
	}

}