<?php

/**
 * 
 *
 */

class Admin_Pages_DefaultPresenter extends Admin_Pages_BasePresenter
{

	private $galleriesProperty;


	public function actionCreate($step = null)
	{

		if ($this->pageId === null) {
			if ($this->type === 'page') {
				$this->stepsCount = 5;
			}
		} else {
			$this->pageBasementData = $this->pageBasement->getPageBasement($this->pageId);
			if ($this->pageBasementData['page-type_type'] === 'page') {
				$this->stepsCount = 5;
			}
		}
		parent::actionCreate($step);
	}


	public function actionUpdate($pageId, $tab = null)
	{
		parent::actionUpdate($pageId, $tab);
		if ($this->pageBasementData['page-type_type'] === 'page') {
			$this->tabs['gallery'] = 'Fotogalerie';
		}
		$this->template->tabs = $this->tabs;
	}


	public function getGalleries()
	{
		if ($this->galleriesProperty === null) {
			$this->galleriesProperty = new Galleries;
		}
		return $this->galleriesProperty;
	}


	public function handleDelete($id)
	{
		$this->template->showDeleteForm = true;
		$this['deleteImageForm']['imageToRemove']->setValue($id);
	}


	public function renderCreateStep4()
	{
		if ($this->stepsCount === 5) {
			$this->template->setFile(dirname(__FILE__).'/../templates/Page/createStep4.phtml');
			$this->scripts = array(
				'js/jquery-1.4.2.min.js',
				'js/jquery-ui-1.7.2.custom.min.js',
			);
			$this->template->images = $this->galleries->getGallery($this->getParam('pageId'));
		}
	}


	public function renderCreateStep5()
	{
		$this->template->setFile(dirname(__FILE__).'/../templates/Default/createStep4.phtml');
	}


	public function renderUpdateGallery()
	{
		$this->template->setFile(dirname(__FILE__).'/../templates/Page/updateGallery.phtml');
		$this->scripts = array(
			'js/jquery-1.4.2.min.js',
			'js/jquery-ui-1.7.2.custom.min.js',
		);
		$this->template->images = $this->galleries->getGallery($this->getParam('pageId'));
	}


	protected function createComponentGalleryForm()
	{

		$form = new Form_Gallery();

		$form->pageId = $this->getParam('pageId');
		$form->stepsCount = $this->stepsCount;
		$form->currentStep = $this->currentStep;

		$form->initAddImageForm();

		return $form;
	}


	protected function createComponentGalleryUpdateForm()
	{
		$form = new Form_Gallery();

		$form->pageId = $this->getParam('pageId');
		$form->stepsCount = $this->stepsCount;
		$form->currentStep = $this->currentStep;

		$form->initUpdateImageForm();

		return $form;
	}


	protected function createComponentDeleteImageForm()
	{
		$form = new AppForm();

		$form->addHidden('imageToRemove');

		$form->addSubmit('ok', 'Ano');
		$form->addSubmit('no', 'Ne');

		$form->onSubmit[] = array($this, 'deleteImageFormSubmitted');

		return $form;
	}


	public function deleteImageFormSubmitted(AppForm $form)
	{

		$values = $form->getValues();

		if ($form['ok']->isSubmittedBy()) {

			$this->galleries->deleteImage($values['imageToRemove']);
			$this->flashMessage('Obrázek byl úspěšně odstraněn.');
			$this->redirect('this');

		} else {
			$this->redirect('this');
		}
	}


	protected function createComponentChangeOrderForm()
	{
		$form = new AppForm();

		$renderer = $form->getRenderer();
		$renderer->wrappers['controls']['container'] = Html::el('table',array('id'=>'changeOrderFormContainer'));

		$form->addHidden('order');
		$form->addSubmit('saveOrder', 'Uložit pozměněné pořadí obrázků');

		$form->onSubmit[] = array($this,'changeOrderFormSubmited');

		return $form;
	}


	public function changeOrderFormSubmited(AppForm $form)
	{
		$values = $form->getValues();
		/*Debug::dump($values);*/
		parse_str($values['order']);
		$this->galleries->changeOrderBySortetFileIds($photo);

		$this->flashMessage('Pořadí bylo úspěšně uloženo.');
		$this->redirect('this');
	}


	public function deletePage()
	{
		try {
			$this->galleries->deleteGallery($this->getParam('pageId'));

			$this->pageBasement->deletePage($this->getParam('pageId'));

			$this->flashMessage('Stránka byla úspěšně odstraněna.');
			$this->redirect(':Admin:default:');
		} catch (InvalidArgumentException $e) {
			$this['deleteForm']->addError($e->getMessage());
		}
	}
	
}