<?php

/**
 * 
 *
 */

class Admin_AuthPresenter extends BasePresenter
{


	public function startup()
	{
		parent::startup();

		$user = Environment::getUser();
		$user->setNamespace('AdminModule');
		if ($user->isAuthenticated()) {
			$this->redirect('Default:');
		} else {
			$this->template->adminAuthenticated = false;
		}
	}


	protected function createComponentLoginForm()
	{
		$form = new AppForm;

		$form->addText('user','Uživatelské jméno:')
			->addRule(Form::FILLED,'Musíte zadat Vaše uživatelské jméno.');

		$form->addPassword('password','Heslo:')
			->addRule(Form::FILLED,'Musíte zadat Vaše heslo.');

		$form->addSubmit('login','Přihlásit se');

		$form->onSubmit[] = array($this,'loginFormSubmited');

		return $form;
	}


	public function loginFormSubmited(AppForm $form)
	{

		$user = Environment::getUser();
		$user->setNamespace('AdminModule');

		$user->setAuthenticationHandler(new SimpleAuthenticator(array(
			Environment::getConfig('siteSettings')->admin_username => Environment::getConfig('siteSettings')->admin_password
		)));

		$user->setExpiration('+ 120 minutes');

		try {
			$user->authenticate($form['user']->getValue(), $form['password']->getValue());
			$this->redirect(':Admin:Default:');
		} catch (AuthenticationException $e) {
			$form->addError('Neplatné přihlašovací údaje.');
		}
	}

}