<?php

/**
 * 
 *
 */

class Admin_GlobalContentsPresenter extends Admin_BasePresenter
{
    private $globalContents;

	private $globalContentsData = array();

	
	public function startup()
	{
		parent::startup();
		$this->globalContents = new GlobalContents();
	}


	public function renderDefault()
	{
		$this->template->globalContents = $this->globalContents->getGlobalContents($this->lang, true);
	}


	public function renderUpdate($type)
	{
		$this->langSwitcherDisabled(true);

		$this->scripts = array(
			'fckeditor/fckeditor.js'
		);
		if (!isset($this->globalContentsData[$type])) {
			$this->globalContentsData[$type] = $this->globalContents->getGlobalContent($type, $this->lang);
		}
		$this->template->globalContent = $this->globalContentsData[$type];
	}




	protected function createComponentGlobalContentForm()
	{
		$form = new AppForm();

		$type = $this->getParam('type');
		if (!isset($this->globalContentsData[$type])) {
			$this->globalContentsData[$type] = $this->globalContents->getGlobalContent($type, $this->lang);
		}
		$content = $this->globalContentsData[$type]['content'];

		$form->addTextArea('globalContent')->setDefaultValue($content);

		$form->addSubmit('send', 'Uložit');

		$form->onSubmit[] = array($this, 'globalContentFormSubmitted');

		return $form;
	}


	public function globalContentFormSubmitted(AppForm $form)
	{
		$values = $form->getValues();
		$this->globalContents->updateGlobalContent($this->getParam('type'), $this->lang, $values['globalContent']);

		$this->flashMessage('Globální obsah byl úspěšně upraven.');
		$this->redirect('this');
	}

}