<?php

/**
 * 
 *
 */

class Admin_SettingsPresenter extends Admin_BasePresenter
{
  	
	public function startup()
	{
		parent::startup();
		$this->langSwitcherHidden(true);
	}


	public function renderDefault()
	{
		
	}

	protected function createComponentSettingsForm()
	{
		$form = new AppForm();

		$form->addText('email', 'E-mail příjemce vzkazů z formuláře:', 30)
			->addRule(Form::FILLED, 'E-mail příjemce vzkazů z formuláře musí být vyplněn.')
			->addRule(Form::EMAIL, 'Uvedená e-mailová adresa příjemce vzkazů není platná.');

		$form->addText('email_cc', 'E-mail příjemce kopií vzkazů:', 30)
			->addCondition(Form::FILLED)
			->addRule(Form::EMAIL, 'Uvedená e-mailová adresa příjemce kopií vzkazů není platná.');


		$form->addSubmit('save', 'Uložit nastavení');

		$form->onSubmit[] = array($this, 'settingsFormSubmitted');

		$settings = Environment::getService('Core\Settings');
		$form->setDefaults($settings->getAllSettings());

		return $form;
	}


	public function settingsFormSubmitted(AppForm $form)
	{
		$settings = Environment::getService('Core\Settings');

		foreach ($form->getValues() as $name => $value) {
			if ($value === '') {
				$value = null;
			}
			$settings->$name = $value;
		}
		$settings->store();

		$this->flashMessage('Nové nastavení bylo úspěšně uloženo.');
		$this->redirect('this');
	}

}