<?php

/**
 * 
 *
 */

class Admin_SharedContentsPresenter extends Admin_BasePresenter
{
    private $sharedContents;

	private $sharedContentsData = array();

	
	public function startup()
	{
		parent::startup();
		$this->sharedContents = new SharedContents();
	}


	public function renderDefault()
	{
		$this->template->sharedContents = $this->sharedContents->getSharedContents($this->lang);
	}


	public function renderUpdate($contentId)
	{
		$this->langSwitcherDisabled(true);

		$this->scripts = array(
			'fckeditor/fckeditor.js'
		);
		if (!isset($this->sharedContentsData[$contentId])) {
			$this->sharedContentsData[$contentId] = $this->sharedContents->getSharedContent($contentId);
		}
		$this->template->sharedContent = $this->sharedContentsData[$contentId];
	}




	protected function createComponentSharedContentForm()
	{
		$form = new AppForm();

		$contentId = $this->getParam('contentId');
		if (!isset($this->sharedContentsData[$contentId])) {
			$this->sharedContentsData[$contentId] = $this->sharedContents->getSharedContent($contentId);
		}
		$content = $this->sharedContentsData[$contentId]['content'];

		$form->addTextArea('sharedContent')->setDefaultValue($content);

		$form->addSubmit('send', 'Uložit');

		$form->onSubmit[] = array($this, 'sharedContentFormSubmitted');

		return $form;
	}


	public function sharedContentFormSubmitted(AppForm $form)
	{
		$values = $form->getValues();
		$this->sharedContents->updateSharedContent($this->getParam('contentId'), $values['sharedContent']);

		$this->flashMessage('Sdílený obsah byl úspěšně upraven.');
		$this->redirect('this');

	}

}