<?php

/**
 * 
 *
 */

class Front_DefaultPresenter extends ManagedPageBasePresenter
{

	public function renderDefault()
	{
		$galleries = new Galleries();
		$this->template->gallery = $galleries->getGallery($this->pageId);

		if (!empty($this->template->gallery)) {
			$siteExplorer = Environment::getService('Core\ISiteExplorer');
			$this->template->contactPage = $siteExplorer->getFirstPageByType($this->lang, 'contact');
			$this->template->orderPage = $siteExplorer->getFirstPageByType($this->lang, 'order');
		}
	}


	protected function createComponentContactForm()
	{
		$form = new AppForm();

		$form->addText('name', 'Jméno:')->addRule(Form::FILLED, 'Jméno musí být vyplněno');
		$form->addText('company', 'Společnost:');
		$form->addText('phone', 'Telefon:')->addRule(Form::FILLED, 'Telefon musí být vyplněn');
		$form->addText('email', 'E-mail:')->addRule(Form::FILLED, 'E-mail musí být vyplněn')->addRule(Form::EMAIL, 'Uvedená e-mailová adresa není platná');

		$form->addTextArea('text', 'Text:', 50, 5)
			->getControlPrototype()->class = 'textarea';

		$form->addSubmit('send', 'Odeslat')
			->getControlPrototype()->class = 'submit';

		$form->onSubmit[] = array($this, 'contactFormSubmitted');

		return $form;
	}


	public function contactFormSubmitted(AppForm $form)
	{
		$values = $form->getValues();

		$body = "Z webové prezentace BP byl přijat následující vzkaz:\n\n";
		$body .= "Jméno: $values[name]\nSpolečnost: $values[company]\nTelefon: $values[phone]\nE-mail: $values[email]\n\nText:\n$values[text]";

		$mail = new Mail;
		$mail->setFrom('Vzkazy BP <noreply@vse.cz>');

		$settings = Environment::getService('Core\Settings');

		$mail->addTo($settings->email);
		if ($settings->email_cc !== null) {
			$mail->addCc($settings->email_cc);
		}
		$mail->setSubject('Vzkaz z webové prezentace Alcom Alval');
		$mail->setBody($body);

		try {
			$mail->send();
			$this->flashMessage('Váš vzkaz byl úspěšně přijat, děkujeme.');
			$this->redirect('this');
		} catch (Exception $e) {
			if (get_class($e) === 'AbortException') {
				throw $e;
			} else {
				$form->addError('Omlouváme se, ale při odesílání Vašeho vzkazu došlo k chybě.');
			}
		}
	}

}