<?php

/**
 * 
 *
 */

class Front_NewsPresenter extends ManagedPageBasePresenter
{

	public function actionDefault($id = null)
	{
		if ($id !== null) {
			$this->setView('detail');
		}
	}

	public function renderDefault()
	{
		$news = new News();

		$paginator = $this['vp']->getPaginator();
		$paginator->itemsPerPage = 10;
		$paginator->itemCount = $news->getNewsCount($this->lang);

		$siteExplorer = Environment::getService('Core\ISiteExplorer');

		$this->template->newsDetailPage = $siteExplorer->getFirstPageByType($this->lang, 'news');
		$this->template->news = $news->getNewsOverview($this->lang, $paginator->offset, $paginator->itemsPerPage);
	}

	public function renderDetail($id)
	{
		$news = new News();

		$newsItem = $news->getNewsByUrl($this->lang, $id);
		if ($newsItem !== false) {
			$this->template->newsItem = $newsItem;

			$this['pageBasement']->overloadData('title', $newsItem['title'].' | '.Environment::getConfig('siteSettings')->siteName);

			$this['siteTree']->appendCrumbItem(array(
				'name' => $newsItem['title'],
				'url' => $id,
				'homepage' => 0,
			));
			$this['siteTree']->activeItemAsLink = true;
		}
	}

}