<?php

require LIBS_DIR . '/Nette/loader.php';

Debug::enable();
Debug::enableProfiler();
Debug::$strictMode = true;


Environment::loadConfig();

dibi::connect(Environment::getConfig('database')); // v config.ini lze nastavit příznak lazy

$session = Environment::getSession();

$session->setExpiration('+ 14 days');
$session->setSavePath(APP_DIR . '/sessions/');

$application = Environment::getApplication();
$application->errorPresenter = 'Front:Error';
$application->catchExceptions = Debug::$productionMode;


$router = $application->getRouter();

$router[] = new SubmoduleRoute('[<lang [a-z]{2}>/]admin[/<submodule pages>][/<presenter>[/<action>[/<pageId>]]]',array(
	'module' => 'Admin',
	'presenter' => 'Default',
	'action' => 'default',
));

$router[] = new Route('sitemap.xml', array(
	'module' => 'Front',
	'presenter' => 'Sitemap',
	'action' => 'default',
));

// inicializace routeru s napojením na databázi
$router[] = new DatabaseRouter();

$application->run();