<?php

/**
 * 
 *
 */

class AluPriceControl extends Control
{

	private $months = array(
		1 => 'Leden',
		2 => 'Únor',
		3 => 'Březen',
		4 => 'Duben',
		5 => 'Květen',
		6 => 'Červen',
		7 => 'Červenec',
		8 => 'Srpen',
		9 => 'Září',
		10 => 'Říjen',
		11 => 'Listopad',
		12 => 'Prosinec',
	);


    public function render()
	{
		$this->template->setTranslator($this->presenter->getTranslator());

		$this->template->lang = $this->presenter->lang;

		$aluPrice = new AluPrice(AluPrice::ERRMODE_SILENT);
		$aluPrice->setPriceSource(new AluPriceDownloader());

		if (!file_exists(WWW_DIR.'/graph/aluprices_'.$this->template->lang.'.png')) {
			$aluPrice->generateGraph();
		}

		$this->template->aluPrice = number_format($aluPrice->getAluPrice(), 2, '.', ',');
		$this->template->aluPriceDate = $aluPrice->getAluPriceDate();

		$this->template->month = $this->months[date('n')];
		//$this->template->year = date('');

		$this->template->monthAverageAluPrice = number_format($aluPrice->getLastActualMonthAverageAluPrice(date('Y'), date('n')), 2, '.', ',');

		$this->template->setFile(dirname(__FILE__).'/aluPrice.phtml');

		$this->template->render();
	}
}