<?php

/**
 * 
 *
 */

class LangSwitcherControl extends Control implements ISiteStateClientModelsHolder
{

	private $langs;

	private $langSwitcher;


	public function __construct(IComponentContainer $parent = null, $name = null)
	{
		parent::__construct($parent, $name);

		// inicializace modelu není lazy, protože lazy je už vlastní vytváření instance komponenty
		$this->langSwitcher = new LangSwitcher();
	}


	public function initModels(ISiteState $siteState)
	{
		$this->langSwitcher->initSiteState($siteState);
	}


	public function render($markActiveLang = true)
	{
		$this->template->langs = $this->langSwitcher->getAvailableLangs();

		if ($markActiveLang === true) {
			$this->template->activeLang = $this->langSwitcher->getActiveLang();
		}

		$this->template->setFile(dirname(__FILE__).'/langSwitcher.phtml');
		$this->template->render();

	}

}