<?php

/**
 * Komponenta pro práci se základními atributy stránky
 *
 */

class PageBasementControl extends Control implements ISiteStateClientModelsHolder
{

	private $data;

	private $pageBasement;


	public function __construct(IComponentContainer $parent = null, $name = null)
	{
		parent::__construct($parent, $name);

		// inicializace modelu není lazy, protože lazy je už vlastní vytváření instance komponenty
		$this->pageBasement = new PageBasement();
	}


	public function initModels(ISiteState $siteState)
	{
		$this->pageBasement->initSiteState($siteState);
	}


	private function checkDataInitialization()
	{
		if ($this->data === null) {
			$this->data = $this->pageBasement->getPageBasement();
			if ($this->data['seoTitle'] === null) {
				$this->data['title'] = $this->data['name'].' | '.Environment::getService('Core\ISiteExplorer')->getSiteName();
			} else {
				$this->data['title'] = $this->data['seoTitle'];
			}
		}
	}


	public function getData($key = null)
	{
		$this->checkDataInitialization();
		if (func_num_args()) {
			return isset($this->data[$key]) ? $this->data[$key] : null;
		}
		return $this->data;
	}


	public function overloadData($key, $value)
	{
		$this->checkDataInitialization();
		if (!isset($this->data[$key])) {
			throw new LogicException('Nelze přetížit neexistující proměnnou v PageBasement.');
		}
		$this->data[$key] = $value;
	}


	public function render($key)
	{
		echo $this->getData($key);
	}
	
}