<?php

/**
 * Komponenta pro práci s privátními obsahy
 *
 */

class PrivateContentsControl extends Control implements ISiteStateClientModelsHolder
{

	private $data;

	private $privateContents;

	public function __construct(IComponentContainer $parent = null, $name = null)
	{
		parent::__construct($parent, $name);

		// inicializace modelu není lazy, protože lazy je už vlastní vytváření instance komponenty
		$this->privateContents = new PrivateContents();

		//$this->privateContents = Environment::getService('Contents\IPrivateContents');
	}


	public function initModels(ISiteState $siteState)
	{
		$this->privateContents->initSiteState($siteState);
	}

	
	private function checkDataInitialization()
	{
		if ($this->data === null) {
			// načteme rovnou všechny relevantní obsahy, protože budou beztak zapotřebí
			$this->data = $this->privateContents->getPrivateContents();
		}
	}


	public function getData($type = null)
	{
		$this->checkDataInitialization();
		if (func_num_args()) {
			return isset($this->data[$type]) ? $this->data[$type]['content'] : null;
		}
		return $this->data;
	}


	public function render($type)
	{
		echo $this->getData($type);
	}

}