<?php

/**
 * Komponenta pro práci se sdílenými obsahy
 *
 */

class SharedContentsControl extends Control implements ISiteStateClientModelsHolder
{

	private $data;

	private $sharedContents;

	public function __construct(IComponentContainer $parent = null, $name = null)
	{
		parent::__construct($parent, $name);

		// inicializace modelu není lazy, protože lazy je už vlastní vytváření instance komponenty
		$this->sharedContents = new SharedContents();

		//$this->sharedContents = Environment::getService('Contents\ISharedContents');
	}


	public function initModels(ISiteState $siteState)
	{
		$this->sharedContents->initSiteState($siteState);
	}


	private function checkDataInitialization()
	{
		if ($this->data === null) {
			// načteme rovnou všechny relevantní obsahy, protože budou beztak zapotřebí
			$this->data = $this->sharedContents->getSharedContentsByPage();
		}
	}


	public function getData($type = null)
	{
		$this->checkDataInitialization();
		if (func_num_args()) {
			return isset($this->data[$type]) ? $this->data[$type]['content'] : null;
		}
		return $this->data;
	}


	public function render($type)
	{
		echo $this->getData($type);
	}

    
}