<?php

/**
 * Downloader ceny hliníku ze vzdáleného serveru
 *
 */
class AluPriceDownloader extends Object implements IAluPriceSource
{

	const SOURCE_URL = 'http://www.lme.com/aluminium.asp';

	/**
	 * Metoda získá cenu hliníku ze vzdáleného serveru
	 */
	public function getPrice()
	{
		$source = file_get_contents(self::SOURCE_URL);
		if ($source === false) {
			throw new IOException('Stránka s aktuální cenou hliníku není dostupná.');
		}

		// cena hliníku je parsovaná regulárním výrazem z HTML kódu vzdálené stránky
		$pattern = '/3-MONTHS.*BUYER<\/b><\/td>\s*<td.*>.*<\/td>\s*<td.*>&nbsp;\s*?(.*)\s*?&nbsp;<\/td>/Usx';

		$matches = array();
		preg_match($pattern, $source, $matches);

		if (!isset($matches[1])) {
			throw new IOException('Stránka s aktuální cenou hliníku nemá požadovaný formát kódu.');
		}
		$price = $matches[1];
		$price = str_replace(',', '', $price);

		return floatval($price);
	}

}