<?php

/**
 * @see IGlobalContents
 *
 */

class GlobalContents extends SiteStateClientBaseModel
{


	public function getGlobalContent($type, $lang)
	{
		return dibi::fetch('
			SELECT [name], [description], [content]
			FROM [content-global] JOIN [content-global-type] ON [content-global.content-global-type_type] = [content-global-type.type]
			WHERE [type] = %s', $type, 'AND [lang] = %s', $lang
		);
	}


	/**
	 * @see IGlobalContents:getGlobalContents()
	 *
	 */
	public function getGlobalContents($lang = null, $withMeta = false)
	{
		if ($lang === null) {
			$lang = $this->siteState['lang'];
		}
		if ($withMeta === false) {
			return dibi::query('SELECT [content-global-type_type] [type], [content] FROM [content-global] WHERE [lang] = %s', $lang)->fetchAssoc('type');
		} else {
			return dibi::query('
				SELECT [type], [name], [description], [content]
				FROM [content-global] JOIN [content-global-type] ON [content-global.content-global-type_type] = [content-global-type.type]
				WHERE [lang] = %s', $lang, '
				ORDER BY [ord]
			')->fetchAssoc('type');
		}
	}


	public function updateGlobalContent($type, $lang, $content)
	{
		dibi::query('UPDATE [content-global] SET [content] = %s', $content, 'WHERE [content-global-type_type] = %s', $type, 'AND [lang] = %s', $lang);
	}

}