<?php

/**
 * @see IPrivateContents
 *
 */

class PrivateContents extends SiteStateClientBaseModel
{

	/**
	 * @see IPrivateContents:getPrivateContents()
	 *
	 */
	public function getPrivateContents($pageId = null)
	{
		if ($pageId === null) {
			$pageId = $this->siteState['pageId'];
		}
		return dibi::query('SELECT [id], [content-private-type_type] [type], [content] FROM [content-private] WHERE [page_id] = %i', $pageId)->fetchAssoc('type');
	}


	public function getPrivateContentsWithMeta($pageId)
	{
		return dibi::query('
			SELECT [id], [content-private-type_type] [type], [content], [name], [description]
			FROM [content-private] JOIN [content-private-type] ON [content-private.content-private-type_type] = [content-private-type.type]
			WHERE [page_id] = %i', $pageId, '
			ORDER BY [ord]
		')->fetchAll();
		
	}


	public function createPrivateContents($pageId, $type = null)
	{
		if ($type === null) {
			$pageBasement = new PageBasement();

			$page = $pageBasement->getPageBasement($pageId);
			$type = $page['page-type_type'];
		}

		dibi::query('
			INSERT INTO [content-private] ([content-private-type_type], [page_id], [content])
			SELECT [content-private-type_type], %i AS [page_id]', $pageId, ', "" AS [content]
			FROM [content-private-default] WHERE [page-type_type] = %s', $type
		);
	}


	public function updatePrivateContent($id, $content)
	{
		dibi::query('UPDATE [content-private] SET [content] = %s', $content, 'WHERE [id] = %i', $id);
	}

}