<?php

class SharedContents extends SiteStateClientBaseModel
{


	public function getSharedContent($contentId)
	{
		return dibi::fetch('
			SELECT [id], [content], [name], [description]
			FROM [content-shared] JOIN [content-shared-type] ON [content-shared.content-shared-type_type] = [content-shared-type.type]
			WHERE [id] = %i', $contentId
		);
	}

	public function getSharedContents($lang)
	{
		return dibi::fetchAll('
			SELECT [id], [name], [description]
			FROM [content-shared] JOIN [content-shared-type] ON [content-shared.content-shared-type_type] = [content-shared-type.type]
			WHERE [lang] = %s', $lang
		);
	}
	
	
	public function getSharedContentsByPage($pageId = null)
	{
		if ($pageId === null) {
			$pageId = $this->siteState['pageId'];
		}
		return dibi::query('
			SELECT [id], [content-shared-type_type] [type], [content]
			FROM [content-shared] JOIN [content-shared_to_page] ON [content-shared.id] = [content-shared_to_page.content-shared_id]
			WHERE [content-shared_to_page.page_id] = %i', $pageId
		)->fetchAssoc('type');
	}


	public function getPageShareableContentsOverview($pageId)
	{
		return dibi::query('
			SELECT [id], [type], [name], [description]
			FROM [content-shared-type_to_page-type]
			LEFT JOIN [content-shared-type] ON [content-shared-type_to_page-type.content-shared-type_type] = [content-shared-type.type]
			JOIN [content-shared] ON [content-shared.content-shared-type_type] = [content-shared-type.type] AND [content-shared.lang] = (SELECT [lang] FROM [page] WHERE [id] = %i', $pageId, ')
			WHERE [content-shared-type_to_page-type.page-type_type] = (SELECT [page-type_type] FROM [page] WHERE [id] = %i', $pageId, ')
		')->fetchAll();
	}


	public function definePageContentsShares($pageId, Array $shares)
	{
		dibi::query('DELETE FROM [content-shared_to_page] WHERE [page_id] = %i', $pageId);
		foreach ($shares as $sharedContent) {
			dibi::query('INSERT INTO [content-shared_to_page] ([page_id], [content-shared_id]) VALUES (%i', $pageId, ', %i', $sharedContent, ')');
		}
	}


	public function updateSharedContent($contentId, $content)
	{
		dibi::query('UPDATE [content-shared] SET [content] = %s', $content, 'WHERE [id] = %i', $contentId);
	}

}