<?php

/**
 * Modelová třída doplňku umožňujícího vkládání kontextových fotogalerií
 */
class Galleries extends Object
{
    
	public function getGallery($pageId)
	{
		return dibi::fetchAll('SELECT [id], [ord] FROM [gallery] WHERE [page_id] = %i', $pageId, 'ORDER BY [ord]');
	}


	public function deleteGallery($pageId)
	{
		$gallery = dibi::fetchAll('SELECT [id] FROM [gallery] WHERE [page_id] = %i', $pageId);
		foreach ($gallery as $item) {
			@unlink(WWW_DIR.'/upload_galleries/'.$item['id'].'.jpg');
			@unlink(WWW_DIR.'/upload_galleries/'.$item['id'].'_t.jpg');
		}
		// díky cizím klíčům není následující dotaz zapotřebí
		//dibi::query('DELETE FROM [gallery] WHERE [page_id] = %i', $pageId);
	}


	public function validateUploadedFiles($files)
	{
		$extensions = array('jpg','jpeg','gif','png');

		$error = null;

		foreach ($files as $file) {
			if ($file->getError()==UPLOAD_ERR_INI_SIZE) {
				throw new ApplicationException('Byl překročen velikostní limit nahrávaných souborů.');
			}
			if ($file->getError()!='' and $file->getError()!=UPLOAD_ERR_NO_FILE) {
				throw new ApplicationException('Při nahrávání souborů došlo k blíže nespecifikované chybě, zkuste prosím akci zopakovat.');
			}
			if ($file->getError()!=UPLOAD_ERR_NO_FILE and !in_array(strtolower(pathinfo($file->getName(),PATHINFO_EXTENSION)),$extensions)) {
				throw new ApplicationException('Koncovky nahrávaných souborů mohou být pouze následující: '.implode(', ',$extensions).'.');
			}
		}
		return true;
	}


	public function uploadImages($pageId, $formData)
	{
		$this->validateUploadedFiles($formData);

		foreach ($formData as $file) {

			if ($file->getError()==UPLOAD_ERR_NO_FILE) {
				continue;
			}

			// vkládání do databáze
			$max = dibi::fetchSingle('SELECT MAX([ord]) FROM [gallery] WHERE [page_id] = %i', $pageId);
			$max = $max === false ? 0 : $max;
			dibi::query('INSERT INTO [gallery] ([page_id], [ord]) VALUES (%i', $pageId, ', %i', $max + 1, ')');
			$id = dibi::getInsertId();

			// ukládání na disk
			$fileName = $id.'.jpg';
			$thumbFileName = $id.'_t.jpg';

			$image = Image::fromFile($file->getTemporaryFile());
			$imageCopy = clone $image;

			$image->resize(800,600)->save(WWW_DIR.'/upload_galleries/'.$fileName);
			$imageCopy->resize(134, 101, Image::FILL)->crop('50%', '50%', 134, 101)->save(WWW_DIR.'/upload_galleries/'.$thumbFileName);

			unset($image);
			unset($imageCopy);
		}
		
	}


	public function deleteImage($id)
	{
		@unlink(WWW_DIR.'/upload_galleries/'.$id.'.jpg');
		@unlink(WWW_DIR.'/upload_galleries/'.$id.'_t.jpg');

		dibi::query('DELETE FROM [gallery] WHERE [id] = %i', $id);
	}


	public function changeOrderBySortetFileIds($data)
	{
		foreach ($data as $key => $val) {
			dibi::query('UPDATE [gallery] SET [ord] = %i', $key, 'WHERE [id] = %i', $val);
		}
	}

}