<?php

/**
 * Modelová třída doplňku rozšiřujícího systém o aktuality
 */
class News
{

	public function getHpNews($lang, $count)
	{
		return dibi::fetchAll('SELECT [id], DATE_FORMAT([date], "%d.%m.%Y") [date], [url], [title], [perex] FROM [news] WHERE [lang] = %s', $lang, 'AND [published] = 1 ORDER BY [date] DESC, [id] DESC %lmt', $count);
	}


	public function getNewsOverview($lang, $offset, $limit, $onlyPublished = true)
	{
		$query = dibi::select('[id], DATE_FORMAT([date], "%d.%m.%Y") [date], [title], [url], [perex], [content], [published]')->from('news')->where('[lang] = %s', $lang);
		if ($onlyPublished === true) {
			$query->and('[published] = 1');
		}
		return $query->orderBy('date')->desc()->orderBy('id')->desc()->fetchAll($offset, $limit);
		
	}


	public function getNewsCount($lang, $onlyPublished = true)
	{
		$query = dibi::select('COUNT([id])')->from('news')->where('[lang] = %s', $lang);
		if ($onlyPublished === true) {
			$query->and('[published] = 1');
		}
		return $query->fetchSingle();
	}


	public function getNews($id)
	{
		return dibi::select('[title], [url], [perex], [content], [published]')->from('news')->where('[id] = %i', $id)->fetch();
	}


	public function getNewsByUrl($lang, $url, $onlyPublished = true)
	{
		$query = dibi::select('DATE_FORMAT([date], "%d.%m.%Y") [date], [title], [url], [perex], [content], [published]')->from('news')->where('[lang] = %s', $lang)->and('[url] = %s', $url);
		if ($onlyPublished === true) {
			$query->and('[published] = 1');
		}
		return $query->fetch();
	}


	public function createNews($values)
	{
		dibi::query('INSERT INTO [news]', $values);
	}


	public function updateNews($id, $values)
	{
		dibi::query('UPDATE [news] SET', $values, 'WHERE [id] = %i', $id);
	}


	public function deleteNews($id)
	{
		dibi::query('DELETE FROM [news] WHERE [id] = %i', $id);
	}


}