SET NAMES utf8;
SET foreign_key_checks = 0;
SET time_zone = 'SYSTEM';
SET sql_mode = 'NO_AUTO_VALUE_ON_ZERO';

CREATE TABLE `aluprice` (
  `year` smallint(4) unsigned NOT NULL,
  `month` tinyint(2) unsigned NOT NULL,
  `price` float unsigned NOT NULL,
  PRIMARY KEY (`year`,`month`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

INSERT INTO `aluprice` (`year`, `month`, `price`) VALUES
(2010,	1,	2266),
(2010,	2,	2079),
(2010,	3,	2236),
(2010,	4,	2346),
(2010,	5,	2069),
(2010,	6,	1960),
(2010,	7,	2007),
(2010,	8,	2118),
(2010,	9,	2193),
(2010,	10,	2378);

CREATE TABLE `content-global` (
  `content-global-type_type` varchar(100) COLLATE utf8_czech_ci NOT NULL,
  `lang` char(2) COLLATE utf8_czech_ci NOT NULL,
  `content` text COLLATE utf8_czech_ci NOT NULL,
  PRIMARY KEY (`content-global-type_type`,`lang`),
  CONSTRAINT `content@002dglobal_ibfk_1` FOREIGN KEY (`content-global-type_type`) REFERENCES `content-global-type` (`type`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

INSERT INTO `content-global` (`content-global-type_type`, `lang`, `content`) VALUES
('footer-col1',	'cs',	'<p>Copyright &copy; 2010 Aliquam congue | <a href=\"#\">Developed by Proin montes porta tortor</a></p>'),
('footer-col1',	'en',	''),
('footer-col2',	'cs',	'<p><a href=\"/objednat\">Objednávka</a> | <a href=\"/kontakt\">Kontakt</a></p>'),
('footer-col2',	'en',	''),
('slogan',	'cs',	'<p>Interdum cursus accumsan et mollis metus</p>'),
('slogan',	'en',	'');

CREATE TABLE `content-global-type` (
  `type` varchar(100) COLLATE utf8_czech_ci NOT NULL,
  `name` varchar(100) COLLATE utf8_czech_ci NOT NULL,
  `description` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `content-global-category_category` varchar(50) COLLATE utf8_czech_ci DEFAULT NULL,
  `ord` tinyint(3) unsigned DEFAULT NULL,
  PRIMARY KEY (`type`),
  UNIQUE KEY `name` (`name`),
  KEY `content-global-category_category` (`content-global-category_category`),
  CONSTRAINT `content@002dglobal@002dtype_ibfk_1` FOREIGN KEY (`content-global-category_category`) REFERENCES `content-global-category` (`category`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

INSERT INTO `content-global-type` (`type`, `name`, `description`, `content-global-category_category`, `ord`) VALUES
('footer-col1',	'Zápatí - první sloupec',	'První sloupec společného zápatí stránek',	NULL,	2),
('footer-col2',	'Zápatí - druhý sloupec',	'Druhý sloupec společného zápatí stránek',	NULL,	3),
('slogan',	'Slogan',	'Slogan v záhlaví stránek',	NULL,	1);

CREATE TABLE `content-private` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `content-private-type_type` varchar(100) COLLATE utf8_czech_ci NOT NULL,
  `page_id` smallint(5) unsigned NOT NULL,
  `content` text COLLATE utf8_czech_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `content-private-type_type` (`content-private-type_type`,`page_id`),
  KEY `page_id` (`page_id`),
  CONSTRAINT `content@002dprivate_ibfk_1` FOREIGN KEY (`content-private-type_type`) REFERENCES `content-private-type` (`type`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `content@002dprivate_ibfk_3` FOREIGN KEY (`page_id`) REFERENCES `page` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=57 DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

INSERT INTO `content-private` (`id`, `content-private-type_type`, `page_id`, `content`) VALUES
(43,	'prologue',	29,	'<p>Lorem ipsum dolor sit <strong>amet consectetuer</strong> ac orci Pellentesque justo suscipit. Lorem fames urna ac sed consequat sed elit et montes mauris. <a href=\"#\">Sed ipsum</a> id pharetra vitae vitae adipiscing venenatis tellus Donec ligula. Tellus et volutpat augue semper mus mollis ridiculus risus odio dolor. Et ac dictumst Donec egestas laoreet vel.</p>'),
(44,	'products',	29,	'<h2>Nabízíme</h2>\r\n<ul class=\"offers\">\r\n    <li><a href=\"#\"><img height=\"140\" width=\"156\" alt=\"Tyče\" src=\"design/offers_tyce.jpg\" />První produkt</a></li>\r\n    <li><a href=\"#\"><img height=\"140\" width=\"156\" alt=\"Desky\" src=\"design/offers_desky.jpg\" />Druhý produkt</a></li>\r\n    <li><a href=\"#\"><img height=\"140\" width=\"156\" alt=\"Plechy\" src=\"design/offers_plechy.jpg\" />Třetí produkt</a></li>\r\n    <li class=\"last\"><a href=\"#\"><img height=\"140\" width=\"156\" alt=\"Plechy\" src=\"design/offers_plechy.jpg\" />Čtvrtý produkt</a></li>\r\n    <li><a href=\"#\"><img height=\"140\" width=\"156\" alt=\"Pásy a pásky\" src=\"design/offers_pasy.jpg\" />Pátý produkt<br />\r\n    </a></li>\r\n    <li><a href=\"#\"><img height=\"140\" width=\"156\" alt=\"Tvarované plechy\" src=\"design/offers_plechy_tvarovane.jpg\" />Šestý produkt<br />\r\n    </a></li>\r\n    <li><a href=\"#\"><img height=\"140\" width=\"156\" alt=\"Fólie\" src=\"design/offers_folie.jpg\" />Sedmý produkt<br />\r\n    </a></li>\r\n    <li class=\"last\"><a href=\"#\"><img height=\"140\" width=\"156\" alt=\"Fólie\" src=\"design/offers_folie.jpg\" />Osmý produkt</a></li>\r\n</ul>'),
(46,	'news-introduction',	30,	'<h1>Přehled aktualit</h1>'),
(47,	'order',	31,	''),
(48,	'mainContent',	32,	'<h1>Sed ipsum id pharetra</h1>\r\n<p>Lorem ipsum dolor sit amet consectetuer ac orci Pellentesque justo suscipit. Lorem fames urna ac sed consequat sed elit et montes mauris. Sed ipsum id pharetra vitae vitae adipiscing venenatis tellus Donec ligula. Tellus et volutpat augue semper mus mollis ridiculus risus odio dolor. Et ac dictumst Donec egestas laoreet vel.</p>\r\n<h2>Nadpis druhé úrovně</h2>\r\n<p>Interdum cursus accumsan et mollis metus Nunc congue Aenean In Praesent. Maecenas elit non lobortis wisi Lorem Phasellus vitae eget Morbi mattis. Id scelerisque Nullam montes Aliquam pellentesque tincidunt nunc facilisi Curabitur congue. In ligula nulla <a href=\"http://www.vse.cz\">ipsum mauris</a> pede consequat id nibh turpis gravida. Nunc et et Integer porta urna interdum Nunc vestibulum lacinia quam. Sapien eros pretium montes.</p>\r\n<p>Phasellus sociis massa laoreet lacus lacinia Aliquam congue id leo id. Sed In Nullam ut eget consequat sapien leo wisi consequat congue:</p>\r\n<ul>\r\n    <li>Nibh quis lobortis Phasellus et porttitor</li>\r\n    <li>at dui mauris Integer et</li>\r\n    <li>Sem auctor lacinia Integer</li>\r\n    <li>consectetuer cursus id</li>\r\n</ul>\r\n<p>Id volutpat ipsum metus. Elit est interdum ac massa vel condimentum vitae tempus libero quis. Nunc Sed consequat accumsan mattis dolor leo consectetuer quam Phasellus.</p>\r\n<p>Enim semper pede Phasellus adipiscing tellus Proin montes porta tortor Lorem. Phasellus pede a Curabitur interdum velit quam pellentesque In tincidunt malesuada. Aenean feugiat non tempus egestas Vestibulum pretium a dui senectus dolor. Et et tincidunt id vestibulum semper et dolor interdum hendrerit Donec. Dui penatibus egestas elit ipsum dui odio pulvinar hac tempor hendrerit. Facilisi Vestibulum non eros et ut ut Nunc pretium montes malesuada. Lorem.</p>'),
(49,	'mainContent',	33,	'<h1>Pharetra sed ipsum id</h1>\r\n<p>Lorem ipsum dolor sit amet consectetuer ac orci Pellentesque justo suscipit. Lorem fames urna ac sed consequat sed elit et montes mauris. Sed ipsum id pharetra vitae vitae adipiscing venenatis tellus Donec ligula. Tellus et volutpat augue semper mus mollis ridiculus risus odio dolor. Et ac dictumst Donec egestas laoreet vel.</p>\r\n<p>Phasellus sociis massa laoreet lacus lacinia Aliquam congue id leo id. Sed In Nullam ut eget consequat sapien leo wisi consequat congue:</p>\r\n<ul>\r\n    <li>Nibh quis lobortis Phasellus et porttitor</li>\r\n    <li>at dui mauris Integer et</li>\r\n    <li>Sem auctor lacinia Integer</li>\r\n    <li>consectetuer cursus id</li>\r\n</ul>\r\n<h2>Nadpis druhé úrovně</h2>\r\n<p>Id volutpat ipsum metus. Elit est interdum ac massa vel condimentum vitae tempus libero quis. Nunc Sed consequat accumsan mattis dolor leo consectetuer quam Phasellus.</p>'),
(50,	'mainContent',	34,	'<h1>Enim semper pede Phasellus</h1>\r\n<p>Adipiscing tellus Proin montes porta tortor Lorem. Phasellus pede a Curabitur interdum velit quam pellentesque In tincidunt malesuada. Aenean feugiat non tempus egestas Vestibulum pretium a dui senectus dolor. Et et tincidunt id vestibulum semper et dolor interdum hendrerit Donec. Dui penatibus egestas elit ipsum dui odio pulvinar hac tempor hendrerit. Facilisi Vestibulum non eros et ut ut Nunc pretium montes malesuada. Lorem.</p>'),
(51,	'contact-top1',	35,	'<h1>Kontaktujte nás!</h1>'),
(52,	'contact-top2',	35,	''),
(53,	'contact-top3',	35,	''),
(54,	'contact-bottom1',	35,	''),
(55,	'contact-bottom2',	35,	''),
(56,	'contact-bottom3',	35,	'');

CREATE TABLE `content-private-default` (
  `page-type_type` varchar(100) COLLATE utf8_czech_ci NOT NULL,
  `content-private-type_type` varchar(100) COLLATE utf8_czech_ci NOT NULL,
  KEY `page-type_type` (`page-type_type`),
  KEY `content-private-type_type` (`content-private-type_type`),
  CONSTRAINT `content@002dprivate@002ddefault_ibfk_1` FOREIGN KEY (`page-type_type`) REFERENCES `page-type` (`type`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `content@002dprivate@002ddefault_ibfk_2` FOREIGN KEY (`content-private-type_type`) REFERENCES `content-private-type` (`type`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

INSERT INTO `content-private-default` (`page-type_type`, `content-private-type_type`) VALUES
('homepage',	'prologue'),
('homepage',	'products'),
('page',	'mainContent'),
('contact',	'contact-top1'),
('contact',	'contact-top2'),
('contact',	'contact-top3'),
('contact',	'contact-bottom1'),
('contact',	'contact-bottom2'),
('contact',	'contact-bottom3'),
('news',	'news-introduction'),
('order',	'order');

CREATE TABLE `content-private-type` (
  `type` varchar(100) COLLATE utf8_czech_ci NOT NULL,
  `name` varchar(100) COLLATE utf8_czech_ci NOT NULL,
  `description` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `content-private-category_category` varchar(50) COLLATE utf8_czech_ci DEFAULT NULL,
  `ord` tinyint(3) unsigned DEFAULT NULL,
  PRIMARY KEY (`type`),
  UNIQUE KEY `name` (`name`),
  KEY `content-private-category_category` (`content-private-category_category`),
  CONSTRAINT `content@002dprivate@002dtype_ibfk_1` FOREIGN KEY (`content-private-category_category`) REFERENCES `content-private-category` (`category`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

INSERT INTO `content-private-type` (`type`, `name`, `description`, `content-private-category_category`, `ord`) VALUES
('contact-bottom1',	'Obsah pod kontaktním formulářem - sloupec 1',	'První sloupec editovatelného obsahu pod kontaktním formulářem.',	NULL,	4),
('contact-bottom2',	'Obsah pod kontaktním formulářem - sloupec 2',	'Druhý sloupec editovatelného obsahu pod kontaktním formulářem.',	NULL,	5),
('contact-bottom3',	'Obsah pod kontaktním formulářem - sloupec 3',	'Třetí sloupec editovatelného obsahu pod kontaktním formulářem.',	NULL,	6),
('contact-top1',	'Obsah nad kontaktním formulářem - sloupec 1',	'První sloupec editovatelného obsahu nad kontaktním formulářem.',	NULL,	1),
('contact-top2',	'Obsah nad kontaktním formulářem - sloupec 2',	'Druhý sloupec editovatelného obsahu nad kontaktním formulářem.',	NULL,	2),
('contact-top3',	'Obsah nad kontaktním formulářem - sloupec 3',	'Třetí sloupec editovatelného obsahu nad kontaktním formulářem.',	NULL,	3),
('mainContent',	'Hlavní obsah',	'Hlavní obsah stránky',	NULL,	1),
('news-introduction',	'Úvod k přehledu novinek',	'Obsah, který se zobrazuje nad přehledem novinek',	NULL,	1),
('order',	'Obsah nad objednávkovým formulářem',	'Editovatelný obsah nad objednávkovým formulářem',	NULL,	1),
('products',	'Základní přehled služeb',	'Základní přehled nabízených služeb a produktů na domovské stránce',	NULL,	2),
('prologue',	'Úvod webu',	'Úvodní text na domovské stránce',	NULL,	1);

CREATE TABLE `content-shared` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `content-shared-type_type` varchar(100) COLLATE utf8_czech_ci NOT NULL,
  `lang` char(2) COLLATE utf8_czech_ci NOT NULL,
  `content` text COLLATE utf8_czech_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `content-shared-type_type` (`content-shared-type_type`,`lang`),
  CONSTRAINT `content@002dshared_ibfk_1` FOREIGN KEY (`content-shared-type_type`) REFERENCES `content-shared-type` (`type`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;


CREATE TABLE `content-shared-type` (
  `type` varchar(100) COLLATE utf8_czech_ci NOT NULL,
  `name` varchar(100) COLLATE utf8_czech_ci NOT NULL,
  `description` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `content-shared-category_category` varchar(50) COLLATE utf8_czech_ci DEFAULT NULL,
  `ord` tinyint(3) unsigned DEFAULT NULL,
  PRIMARY KEY (`type`),
  KEY `content-shared-category_category` (`content-shared-category_category`),
  CONSTRAINT `content@002dshared@002dtype_ibfk_1` FOREIGN KEY (`content-shared-category_category`) REFERENCES `content-shared-category` (`category`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;


CREATE TABLE `content-shared-type_to_page-type` (
  `page-type_type` varchar(100) COLLATE utf8_czech_ci NOT NULL,
  `content-shared-type_type` varchar(100) COLLATE utf8_czech_ci NOT NULL,
  PRIMARY KEY (`page-type_type`,`content-shared-type_type`),
  KEY `content-shared-type_type` (`content-shared-type_type`),
  CONSTRAINT `content@002dshared@002dtype_to_page@002dtype_ibfk_1` FOREIGN KEY (`page-type_type`) REFERENCES `page-type` (`type`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `content@002dshared@002dtype_to_page@002dtype_ibfk_2` FOREIGN KEY (`content-shared-type_type`) REFERENCES `content-shared-type` (`type`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;


CREATE TABLE `content-shared_to_page` (
  `page_id` smallint(5) unsigned NOT NULL,
  `content-shared_id` smallint(5) unsigned NOT NULL,
  PRIMARY KEY (`page_id`,`content-shared_id`),
  KEY `content-shared_id` (`content-shared_id`),
  CONSTRAINT `content@002dshared_to_page_ibfk_1` FOREIGN KEY (`page_id`) REFERENCES `page` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `content@002dshared_to_page_ibfk_2` FOREIGN KEY (`content-shared_id`) REFERENCES `content-shared` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;


CREATE TABLE `gallery` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `page_id` smallint(5) unsigned NOT NULL,
  `ord` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `page_id` (`page_id`),
  CONSTRAINT `gallery_ibfk_1` FOREIGN KEY (`page_id`) REFERENCES `page` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=915 DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

INSERT INTO `gallery` (`id`, `page_id`, `ord`) VALUES
(911,	33,	1),
(912,	33,	2),
(913,	33,	3),
(914,	33,	4);

CREATE TABLE `news` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `lang` char(2) COLLATE utf8_czech_ci NOT NULL,
  `date` date NOT NULL,
  `title` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `url` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `perex` text COLLATE utf8_czech_ci NOT NULL,
  `content` text COLLATE utf8_czech_ci,
  `published` tinyint(1) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `url` (`url`,`lang`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

INSERT INTO `news` (`id`, `lang`, `date`, `title`, `url`, `perex`, `content`, `published`) VALUES
(4,	'cs',	'2010-11-25',	'Otevřena nová provozovna v Sed In Nullam',	'otevrena-nova-provozovna-v-sed-in-nullam',	'<p>Enim semper pede Phasellus adipiscing tellus Proin montes porta tortor Lorem. Phasellus pede a Curabitur interdum velit quam pellentesque In tincidunt malesuada. Aenean feugiat non tempus egestas Vestibulum pretium a dui senectus dolor.</p>\r\n',	'\r\n<p>Et et tincidunt id vestibulum semper et dolor interdum hendrerit Donec. Dui penatibus egestas elit ipsum dui odio pulvinar hac tempor hendrerit. Facilisi Vestibulum non eros et ut ut Nunc pretium montes malesuada. Lorem.</p>',	1),
(5,	'cs',	'2010-11-25',	'Spuštěn nový web',	'spusten-novy-web',	'<p>Et et tincidunt id vestibulum semper et dolor interdum hendrerit Donec. Dui penatibus egestas elit ipsum dui odio pulvinar hac tempor hendrerit. Facilisi Vestibulum non eros et ut ut Nunc pretium montes malesuada. Lorem.</p>\r\n',	'\r\n<p>Enim semper pede Phasellus adipiscing tellus Proin montes porta tortor Lorem. Phasellus pede a Curabitur interdum velit quam pellentesque In tincidunt malesuada. Aenean feugiat non tempus egestas Vestibulum pretium a dui senectus dolor.</p>',	1);

CREATE TABLE `order` (
  `counter` int(10) unsigned NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;


CREATE TABLE `page` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `page-type_type` varchar(100) COLLATE utf8_czech_ci NOT NULL,
  `name` varchar(100) COLLATE utf8_czech_ci NOT NULL,
  `lang` char(2) COLLATE utf8_czech_ci NOT NULL,
  `url` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `homepage` tinyint(1) unsigned NOT NULL,
  `published` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `shownInMenu` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `ord` tinyint(3) unsigned NOT NULL,
  `family` smallint(5) unsigned DEFAULT NULL,
  `parent` smallint(5) unsigned DEFAULT NULL,
  `left` smallint(5) unsigned DEFAULT NULL,
  `right` smallint(5) unsigned DEFAULT NULL,
  `seoTitle` varchar(255) COLLATE utf8_czech_ci DEFAULT NULL,
  `seoDescription` varchar(255) COLLATE utf8_czech_ci DEFAULT NULL,
  `seoKeywords` varchar(255) COLLATE utf8_czech_ci DEFAULT NULL,
  `lastModified` datetime NOT NULL,
  `currentStep` tinyint(3) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `lang` (`lang`,`url`),
  KEY `type` (`page-type_type`),
  CONSTRAINT `page_ibfk_1` FOREIGN KEY (`page-type_type`) REFERENCES `page-type` (`type`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=36 DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

INSERT INTO `page` (`id`, `page-type_type`, `name`, `lang`, `url`, `homepage`, `published`, `shownInMenu`, `ord`, `family`, `parent`, `left`, `right`, `seoTitle`, `seoDescription`, `seoKeywords`, `lastModified`, `currentStep`) VALUES
(29,	'homepage',	'Úvod',	'cs',	'uvod',	1,	1,	1,	1,	29,	NULL,	1,	2,	NULL,	NULL,	NULL,	'2010-11-23 16:40:16',	NULL),
(30,	'news',	'Novinky',	'cs',	'novinky',	0,	1,	1,	3,	30,	NULL,	1,	2,	NULL,	NULL,	NULL,	'2010-11-23 16:51:57',	NULL),
(31,	'order',	'Objednat',	'cs',	'nabizime/objednat',	0,	1,	1,	3,	32,	32,	6,	7,	NULL,	NULL,	NULL,	'2010-11-23 17:12:53',	NULL),
(32,	'page',	'Nabízíme',	'cs',	'nabizime',	0,	1,	1,	2,	32,	NULL,	1,	10,	NULL,	NULL,	NULL,	'2010-11-25 15:05:44',	NULL),
(33,	'page',	'První produkt',	'cs',	'nabizime/prvni-produkt',	0,	1,	1,	1,	32,	32,	2,	3,	'SEO titulek prvního produktu',	NULL,	'produkt,bakalářská práce',	'2010-11-25 15:11:51',	NULL),
(34,	'page',	'Druhý produkt',	'cs',	'nabizime/druhy-produkt',	0,	1,	1,	2,	32,	32,	4,	5,	NULL,	NULL,	NULL,	'2010-11-25 15:13:41',	NULL),
(35,	'contact',	'Kontakt',	'cs',	'nabizime/kontakt',	0,	1,	1,	4,	32,	32,	8,	9,	NULL,	NULL,	NULL,	'2010-11-25 15:18:56',	NULL);

CREATE TABLE `page-type` (
  `type` varchar(100) COLLATE utf8_czech_ci NOT NULL,
  `name` varchar(100) COLLATE utf8_czech_ci NOT NULL,
  `description` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `singleton` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `ord` tinyint(3) unsigned DEFAULT NULL,
  `presenter` varchar(30) COLLATE utf8_czech_ci NOT NULL,
  `action` varchar(30) COLLATE utf8_czech_ci NOT NULL,
  `overloadAbility` varchar(13) COLLATE utf8_czech_ci DEFAULT NULL,
  PRIMARY KEY (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

INSERT INTO `page-type` (`type`, `name`, `description`, `singleton`, `ord`, `presenter`, `action`, `overloadAbility`) VALUES
('contact',	'Kontakt',	'Stránka s kontaktním formulářem a editovatelnými  obsahy nad a pod ním.',	1,	4,	'Default',	'contact',	NULL),
('homepage',	'Úvodní stránka',	'Úvodní stránka s plně editovatelným úvodem a přehledem nabízených služeb. Stránka obsahuje boční sloupec s aktuálními novinkami a aktuální cenou hliníku.',	1,	3,	'Homepage',	'default',	NULL),
('news',	'Novinky',	'Stránka s automaticky generovaným přehledem novinek a jedním editovatelným obsahem nad ním.',	1,	5,	'News',	'default',	'<id>'),
('order',	'Objednávkový formulář',	'Stránka s objednávkovým formulářem a jedním editovatelným obsahem nad ním',	1,	6,	'Order',	'default',	NULL),
('page',	'Obecná stránka',	'Základní typ stránky obsahující jeden hlavní editovatelný obsah a v případě existujících podstránek kontextovou navigaci v levém sloupci. Stránka může obsahovat fotogalerii.',	0,	1,	'Default',	'default',	NULL);